--- autojump-21.3.0/bin/autojump.sh
+++ autojump-21.3.0/bin/autojump.sh
@@ -1,17 +1,17 @@
 # source autojump on BASH or ZSH depending on the shell
 
 shell=`echo ${SHELL} | awk -F/ '{ print $NF }'`
-
-# check local install
-if [ -s ~/.autojump/etc/profile.d/autojump.${shell} ]; then
-	source ~/.autojump/etc/profile.d/autojump.${shell}
-
-# check global install
-elif [ -s /etc/profile.d/autojump.${shell} ]; then
-	source /etc/profile.d/autojump.${shell}
-
-# check custom install locations (modified by Homebrew or using --destdir option)
-elif [ -s custom_install/autojump.${shell} ]; then
-	source custom_install/autojump.${shell}
-
-fi
+case ${shell} in
+	bash|zsh)
+		# check local install
+		if [ -s ~/.autojump/etc/profile.d/autojump.${shell} ]; then
+			source ~/.autojump/etc/profile.d/autojump.${shell}
+		# check global install
+		elif [ -s "${EPREFIX}"/etc/profile.d/autojump.${shell} ]; then
+			source "${EPREFIX}"/etc/profile.d/autojump.${shell}
+		fi
+		;;
+	*)
+		echo "Your shell ${shell} (from SHELL=${SHELL}) is unkown."
+		;;
+esac
